package com.cool.store.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author suzhuhong
 * @Date 2024/3/26 15:18
 * @Version 1.0
 */
@Data
public class BaseInfoVO {

    @ApiModelProperty("线索ID")
    private Long lineId;

    @ApiModelProperty("partnerId")
    private String partnerId;

    @ApiModelProperty("线索名称")
    private String username;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("意向加盟区域")
    private String wantShopAreaName;

    @ApiModelProperty("线索状态")
    private Integer lineStatus;

    @ApiModelProperty("线索标签")
    private List<LabelBaseInfoVO> userPortraitList;

    @ApiModelProperty("流程阶段:1意向加盟;2新店进展;")
    private Integer workflowStage;

    private Integer workflowSubStage;

    @ApiModelProperty("子阶段状态")
    private Integer workflowSubStageStatus;

    public  BaseInfoVO(){}
    /**
     * 写一个构造方法 参数是BaseInfoVO
     * @param baseInfoVO
     */
    public  BaseInfoVO(BaseInfoVO baseInfoVO) {
        this.lineId = baseInfoVO.getLineId();
        this.partnerId = baseInfoVO.getPartnerId();
        this.username = baseInfoVO.getUsername();
        this.lineStatus = baseInfoVO.getLineStatus();
        this.mobile = baseInfoVO.getMobile();
        this.workflowSubStage = baseInfoVO.getWorkflowSubStage();
        this.wantShopAreaName = baseInfoVO.getWantShopAreaName();
        this.userPortraitList = baseInfoVO.getUserPortraitList();
        this.workflowStage = baseInfoVO.getWorkflowStage();
        this.workflowSubStageStatus = baseInfoVO.getWorkflowSubStageStatus();
    }




}
